MacWrtProParserInternal::DataPosition Struct Reference

Internal and low level: structure used to sort the position of data. More...

## Classes

struct | Compare
| the comparison structure More...

## Public Member Functions

| DataPosition (int type=-1, int id=-1, long pos=0)
| constructor

## Public Attributes

int | m_type
| the type
int | m_id
| an id
long | m_pos
| the position

## Detailed Description

Internal and low level: structure used to sort the position of data.

## Constructor & Destructor Documentation

## DataPosition()

MacWrtProParserInternal::DataPosition::DataPosition | ( | int | type = -1,
|  | int | id = -1,
|  | long | pos = 0 )

inline explicit

constructor

Referenced by MacWrtProParserInternal::DataPosition::Compare::operator()().

## Member Data Documentation

## m_id

int MacWrtProParserInternal::DataPosition::m_id

an id

Referenced by DataPosition(), and MacWrtProParserInternal::DataPosition::Compare::operator()().

## m_pos

long MacWrtProParserInternal::DataPosition::m_pos

the position

Referenced by DataPosition(), and MacWrtProParserInternal::DataPosition::Compare::operator()().

## m_type

int MacWrtProParserInternal::DataPosition::m_type

the type

Referenced by DataPosition(), and MacWrtProParserInternal::DataPosition::Compare::operator()().

The documentation for this struct was generated from the following file:

- MacWrtProParser.cxx